<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Library\Pastora;
use Illuminate\Support\Facades\View;

class SetTotalInCartProvider extends ServiceProvider {
    /**
     * Bootstrap the application services.
     *
     * @return void
     */
    public function boot() {
        View::composer('layouts.front.partials.header', function ($view) {
            $total_in_cart = Pastora::getSubtotalInCart();
            $total_in_cart = "$".number_format(floor($total_in_cart * pow(10,2))/pow(10,2),2);
            $total_quantity_in_cart = Pastora::getQuantityProductsInCart();
            $view->with(['total_in_cart' => $total_in_cart, "total_quantity_in_cart" => $total_quantity_in_cart]);
        });
    }

    /**
     * Register the application services.
     *
     * @return void
     */
    public function register() {
        //
    }
}