@extends('back.layout.dashboard')
@section('contentTitle', 'Edición de banners')
@section('topButton')
    <a href="{{ route('banners.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop

@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => array('banners.update', base64_encode($banners[0]->id)), 'class' => 'form-horizontal', 'files' => true]) }}
                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="img">Banner:</label>
                                <input type="file" name="img" id="img" accept="image/*" class="form-control">
                                <img src="/{{ $banners[0]->imagen }}" alt="Banner" class="mw-100" />
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="orden">*Orden:</label>
                                <input type="number" name="orden" id="orden" class="form-control" value="{{ $banners[0]->orden }}" />
                            </div>
                        </div>
                        <div class="col d-flex justify-content-center align-items-start">
                            <div class="form-group m-0 mt-4">
                                <label for="status" class="mr-2">Estatus:</label>
                                <input type="checkbox" name="status" id="status" {{ $banners[0]->status == 1 ? 'checked' : '' }} >
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="img">Banner mobile:</label>
                                <input type="file" name="imgMobile" id="img" accept="image/*" class="form-control">
                                <img src="/{{ $banners[0]->imagen_mobile }}" alt="Banner" class="mw-100" />
                            </div>
                        </div>
                    </div>
                    
                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
