@extends('back.layout.dashboard')
@section('contentTitle', 'Detalles de las órdenes de ' . $data[0]->name)
@section('topButton')
    <a href="{{ route('clientes.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop

@section('content_dashboard')
    <div class="row">
        <div class="col-lg-12">
            <div class="card card-body">
                <div class="table-responsive">
                    <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th># Folio</th>
                                <th>Origen</th>
                                <th>Destino</th>
                                <th>Servicio</th>
                                <th>Paquetería</th>
                                <th># Guía</th>
                                <th>Estatus</th>
                                <th>Estatus de pago</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($data as $item)
                                <tr>
                                    <td>{{ $item->pedido }}</td>
                                    <td>{{ $item->state_from }}</td>
                                    <td>{{ $item->state_to }}</td>
                                    <td>{{ $item->servicedescription }}</td>
                                    <td>{{ $item->parcel }}</td>
                                    <td>{{ $item->tracking_id }}</td>
                                    <td>{{ $item->status }}</td>
                                    <td>{{ $item->pay_response }}</td>
                                    <td>
                                        <button type="button" id="btn-editar" name="{{ base64_encode($item->id_shipment) }}" class="btn waves-effect waves-light btn-success" data-toggle="modal" data-target="#modalStatus"><i class="fas fa-edit"></i> Editar</button>
                                        <a href="/download/{{ base64_encode($item->id_shipment) }}" target="_blank">
                                            <button type="button" class="btn waves-effect waves-light btn-primary"><i class="fa fa-download"></i> 
                                                Descargar guía
                                            </button>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="modalStatus" tabindex="-1" role="dialog" aria-labelledby="modalStatusLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalStatusLabel">Actualizar Estatus</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                </div>
                {{ Form::open(['route' => array('clientes.update', 0), 'id' => 'formShipId', 'class' => 'form-horizontal']) }}
                    <input type="hidden" name="client_id" value="{{ Request()->id }}">
                    <div class="modal-body">
                            <div class="form-group">
                                <label for="">*Cambiar status de envío:</label>
                                <select name="status" id="status" class="form-control">
                                    <option value="Generado">Generado</option>
                                    <option value="Procesado por paquetería">Procesado por paquetería</option>
                                    <option value="En tránsito">En tránsito</option>
                                    <option value="Entregado">Entregado</option>
                                </select>
                            </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop
@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/js/table.js')  }}
    <script type="text/javascript">
        $( document ).ready(function(){
            $(".btn-success").click(function(){
                $("#formShipId").attr('action',"/cms/dashboard/clientes/update/"+$(this).attr('name') )
            })
        })
    </script>
@stop