<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Api\Productos\ProductosSeccionesController;
use App\Http\Controllers\Api\Home\BannersController;
use App\Http\Controllers\Api\Contacto\ContactoController;
use App\Http\Controllers\Api\BolsaTrabajo\BolsaController;
use App\Http\Controllers\Api\Sucursales\SucursalesController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::prefix('home')->group(function () {
        Route::get(
            'get-banners', 
            [
                BannersController::class, 
                "getBanners"
            ]
        );
    });


Route::prefix('productos')->group(function () {
        Route::get(
            'get-secciones', 
            [
                ProductosSeccionesController::class, 
                "getSecciones"
            ]
        );
        Route::get(
            'get-categorias', 
            [
                ProductosSeccionesController::class, 
                "getCategorias"
            ]
        );
    });

Route::prefix('sucursales')->group(function () {
        Route::get(
            'get-sucursales', 
            [
                SucursalesController::class, 
                "getSucursales"
            ]
        );
    });

Route::prefix('contacto')->group(function () {
        Route::post(
            'send-contacto', 
            [
                ContactoController::class, 
                "sendContacto"
            ]
        );
    });

Route::prefix('bolsa-de-trabajo')->group(function () {
        Route::post(
            'send-bolsa-de-trabajo', 
            [
                BolsaController::class, 
                "sendBolsa"
            ]
        );
        Route::post(
            'send-cv', 
            [
                BolsaController::class, 
                "sendCv"
            ]
        );
    });